Subject: Re: bug#43957: remove process-kill-buffer-query-function from kill-buffer-query-functions

From: Stefan Kangas <[email-masked]>
Date: Mon, 12 Oct 2020 19:58:34 +0000

Eli Zaretskii <[email-masked]> writes:

>> When explicitly killing a shell/eshell or terminal-emulator
>> ansi-term/term buffer, a user shouldn't have to take an extra step to
>> respond to the prompt of process-kill-buffer-query-function. In such
>> cases, the process for which function process-kill-buffer-query-function
>> is activated is the foreground shell process, so of course the conscious
>> user intent is to kill it.
>
> FWIW, I'm not sure an unconditional change in behavior here is TRT.
> Killing a buffer doesn't necessarily imply the user is aware that the
> process will be killed as well.

Indeed.  I for one would find an unconditional change here highly
unsettling.  I often have a bunch of processes running in the background
and can't be bothered to remember which is running in which buffer.
Getting prompted is important so I don't lose any work.

> I wouldn't object to an opt-in option, though.

Agreed.